Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

build: disable use of thin archive

Thin archive needs binutils >= 2.19, disable it for supporting old ar
even if static libraries are linked within a local build.
  • Loading branch information...
commit 11a5119e72f1a93fa7f30c144afd6ec4f04a275a 1 parent f657ce6
@shigeki shigeki authored bnoordhuis committed
Showing with 5 additions and 0 deletions.
  1. +5 −0 common.gypi
View
5 common.gypi
@@ -163,6 +163,11 @@
'cflags': [ '-Wall', '-Wextra', '-Wno-unused-parameter', '-pthread', ],
'cflags_cc': [ '-fno-rtti', '-fno-exceptions' ],
'ldflags': [ '-pthread', '-rdynamic' ],
+ 'target_conditions': [
+ ['_type=="static_library"', {
+ 'standalone_static_library': 1, # disable thin archive which needs binutils >= 2.19
+ }],
+ ],
'conditions': [
[ 'target_arch=="ia32"', {
'cflags': [ '-m32' ],
Please sign in to comment.
Something went wrong with that request. Please try again.